macRuby/GTK2????(01/26 16:06) Page:1
Author : watanabe
Category: ??- OSX
?????? ???:
MacPortssudo port install rb-gnome
?MacPorts?fink?rubyrvm????????????
??????U??
??
ruby –version
ruby 1.9.2p136 (2010-12-25 revision 30365) [x86_64-darwin10.6.0]
gem –version
1.3.7
???
% fink -v install glib2-dev
% gem fetch glib2
% gem unpack glib2
% cd glib2-0.90.5
% ruby extconf.rb -C . --strict gtk2 --with-opt-include=/sw/include
% make
% cp ext/glib2/glib2.bundle lib
% gem install gemify
% ~/.rvm/gems/ruby-1.9.2-p136/gems/gemify-0.3/bin/gemify
% gem build glib2.gemspec
% gem install glib2-0.90.5.gem
% fink -v install pango1-xft2-ft219-dev
% fink -v install gtk+2-dev
% gem install gtk2
?gem install gtk2? gobject-2.0 ??????
????gobject-2.0glib2?????
??? fink glib2-dev???
rubyglib2???
?libintl.h??????
U??????gettext??????????(/sw/include???)
??? ???? glib2???V??????????
?binary gem??????
extconf.rb?? with-opt-include????????
gemspec??gemify?gemspec???
glib2gem????gem install gtk2???????????
(pango1-xft2-ft219-dev,gtk+2-dev)???
?????
?

>
<


WP-Ktai ver 0.5.0